%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotData.m
%
% Description: Generates plots of the data used for 
%              identification purposes. 
%
% Inputs: System signals.
%
% Outputs: Plots of inputs and outputs.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure

%
% Get dimension
%

numberOfOutputs=size(y,1);
numberOfInputs=size(u,1);

%
% Plot
%

for i=1:numberOfOutputs
   subplot(numberOfOutputs+numberOfInputs,1,i)
   plot(SamplingInstances',y(i,:)');
   xlabel('time [s]')
   ytext=['y(' num2str(i) ')'];
   ylabel(ytext);
end

for i=1:numberOfInputs
   subplot(numberOfOutputs+numberOfInputs,1,i+numberOfOutputs)
   plot(SamplingInstances',u(i,:)');
   xlabel('time [s]')
   ytext=['u(' num2str(i) ')'];
   ylabel(ytext);
end

