%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: SetupRPEMStatic.m
%
% Description: Script that sets up all parameters required to run
%              the RPEM, in the static case.
%
% Inputs: As written into script. 
%
% Outputs: Parameters required by the RPEM.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2005-08-23.
%
% Firm revision: revision 2.0, 2005-08-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%  State initial value
%

nx=0;
x_m_0=zeros(0,1);

%
% Remaining initial values
%

muFactor=300; % To stabilize Gamma and to reduce the gain
if exist('theta_0_new')
   muFactor=1000;
end
mu_0=5;
mu0=0.995;
y_m_0=0;
initialNoiseVariance=1; % Initial value for the prediction error variance
scaleFactorR=1; % the size of the initial diagonal approximation of the Hessian

%
% Parameters
%

stabilityLimit=1; % The linearized pole radius used for stability checking and projection
downSampling=10; % The downsampling factor used when data from the run is saved
