%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: f.m
%
% Description: The RHS of the ODE model that is accessed by  
%              the Euler numerical integration routine. Used 
%              for generation of simulated data. 
%
% Inputs: t - current time
%		    x(:,t) - current state
%         u(:,t) - current input
%         w(:,t) - current disturbance
%
% Outputs: f(:,1) - RHS of ODE
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-05-02.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [f]=f(t,x,u,w)

f(1,1)=x(2,1)*(2+u(1,1))-u(1,1);
f(2,1)=-x(1,1)-x(2,1);
end